Use Firefox or IE 9 Browsers for Online Payments

Friday, January 25, 2013
7:00 AM - 11:30 PM
Brenda Rudberg

Only Firefox and Internet Explorer version 9 or lower are currently working for online payments.  Safari and IE 10 do not currently work for electronic payments made through eSIS.  Download Safari or switch to IE 9 by using F12 and then selecting IE from the dropdown list.

Get Directions
Event Date
Event Time